Index: /trunk/include/section_init.inc.php
===================================================================
--- /trunk/include/section_init.inc.php	(revision 5020)
+++ /trunk/include/section_init.inc.php	(revision 5021)
@@ -238,5 +238,5 @@
   else
   {
-    $page['title'] = l10n('no_category');
+    $page['title'] = l10n('Home');
   }
 
@@ -362,5 +362,5 @@
         'items' => $search_result['items'],
         'title' => '<a href="'.duplicate_index_url(array('start'=>0)).'">'
-                  .l10n('search_result').'</a>',
+                  .l10n('Search results').'</a>',
         )
       );
@@ -376,5 +376,5 @@
       $page,
       array(
-	'title' => l10n('favorites')
+	'title' => l10n('Favorites')
 	    )
     );
@@ -457,5 +457,5 @@
       array(
         'title' => '<a href="'.duplicate_index_url(array('start'=>0)).'">'
-                  .l10n('recent_pics_cat').'</a>',
+                  .l10n('Recent pictures').'</a>',
         'items' => array_from_query($query, 'id'),
         )
@@ -470,5 +470,5 @@
       $page,
       array(
-        'title' => l10n('recent_cats_cat'),
+        'title' => l10n('Recent categories'),
         )
       );
@@ -495,5 +495,5 @@
       array(
         'title' => '<a href="'.duplicate_index_url(array('start'=>0)).'">'
-                  .$conf['top_number'].' '.l10n('most_visited_cat').'</a>',
+                  .$conf['top_number'].' '.l10n('Most visited').'</a>',
         'items' => array_from_query($query, 'id'),
         )
@@ -521,5 +521,5 @@
       array(
         'title' => '<a href="'.duplicate_index_url(array('start'=>0)).'">'
-                  .$conf['top_number'].' '.l10n('best_rated_cat').'</a>',
+                  .$conf['top_number'].' '.l10n('Best rated').'</a>',
         'items' => array_from_query($query, 'id'),
         )
@@ -544,5 +544,5 @@
       array(
         'title' => '<a href="'.duplicate_index_url(array('start'=>0)).'">'
-                    .l10n('random_cat').'</a>',
+                    .l10n('Random pictures').'</a>',
         'items' => array_from_query($query, 'id'),
         )
Index: /trunk/include/ws_functions.inc.php
===================================================================
--- /trunk/include/ws_functions.inc.php	(revision 5020)
+++ /trunk/include/ws_functions.inc.php	(revision 5021)
@@ -563,5 +563,5 @@
   {
     case 'reject':
-      array_push($infos, l10n('comment_not_added') );
+      array_push($infos, l10n('Your comment has NOT been registered because it did not pass the validation rules') );
       return new PwgError(403, implode("\n", $infos) );
     case 'validate':
Index: /trunk/install.php
===================================================================
--- /trunk/install.php	(revision 5020)
+++ /trunk/install.php	(revision 5021)
@@ -232,5 +232,5 @@
   {
 
-    array_push( $infos, l10n('step1_confirmation') );
+    array_push( $infos, l10n('Parameters are correct') );
 
     $required_version = constant('REQUIRED_'.strtoupper($dblayer).'_VERSION');
@@ -261,16 +261,16 @@
   else
   {
-    array_push( $errors, l10n('step1_err_server') );
+    array_push( $errors, l10n('Can\'t connect to server') );
   }
 
   $webmaster = trim(preg_replace( '/\s{2,}/', ' ', $admin_name ));
   if ( empty($webmaster))
-    array_push( $errors, l10n('step2_err_login1') );
+    array_push( $errors, l10n('enter a login for webmaster') );
   else if ( preg_match( '/[\'"]/', $webmaster ) )
-    array_push( $errors, l10n('step2_err_login3') );
+    array_push( $errors, l10n('webmaster login can\'t contain characters \' or \"') );
   if ( $admin_pass1 != $admin_pass2 || empty($admin_pass1) )
-    array_push( $errors, l10n('step2_err_pass') );
+    array_push( $errors, l10n('please enter your password again') );
   if ( empty($admin_mail))
-    array_push( $errors, l10n('reg_err_mail_address') );
+    array_push( $errors, l10n('mail address must be like xxx@yyy.eee (example : jack@altern.org)') );
   else
   {
@@ -305,5 +305,5 @@
       $html_content = htmlentities( $file_content, ENT_QUOTES );
       $html_content = nl2br( $html_content );
-      $error_copy = l10n('step1_err_copy');
+      $error_copy = l10n('Copy the text in pink between hyphens and paste it into the file \"include/config_database.inc.php\"(Warning : config_database.inc.php must only contain what is in pink, no line return or space character)');
       $error_copy .= '<br>--------------------------------------------------------------------<br>';
       $error_copy .= '<span class="sql_content">' . $html_content . '</span>';
@@ -443,5 +443,5 @@
       'F_ADMIN' => $admin_name,
       'F_ADMIN_EMAIL' => $admin_mail,
-      'L_INSTALL_HELP' => sprintf(l10n('install_help'), PHPWG_URL.'/forum'),
+      'L_INSTALL_HELP' => sprintf(l10n('Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'), PHPWG_URL.'/forum'),
       ));
 }
@@ -461,5 +461,7 @@
 else
 {
-  array_push($infos, l10n('install_end_message'));
+  array_push($infos, l10n('The configuration of Piwigo is finished, here is the next step<br><br>
+* go to the identification page and use the login/password given for webmaster<br>
+* this login will enable you to access to the administration panel and to the instructions in order to place pictures in your directories'));
 
   if (isset($error_copy))
Index: /trunk/install/php5_apache_configuration.php
===================================================================
--- /trunk/install/php5_apache_configuration.php	(revision 5020)
+++ /trunk/install/php5_apache_configuration.php	(revision 5021)
@@ -109,5 +109,5 @@
   echo '
 </div>
-<div style="text-align: center">'.sprintf(l10n('install_help'), PHPWG_URL.'/forum').'</div>
+<div style="text-align: center">'.sprintf(l10n('Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'), PHPWG_URL.'/forum').'</div>
 </div>
 </body>
@@ -141,5 +141,5 @@
   <table>
   <tr>
-    <td>'.l10n('language').'</td>
+    <td>'.l10n('Language').'</td>
     <td>
       <select name="language" onchange="document.location = \''.$script.'.php?language=\'+this.options[this.selectedIndex].value;">';
Index: /trunk/install/upgrade_1.3.1.php
===================================================================
--- /trunk/install/upgrade_1.3.1.php	(revision 5020)
+++ /trunk/install/upgrade_1.3.1.php	(revision 5021)
@@ -603,7 +603,7 @@
   $page['infos'],
   array(
-    l10n('all sub-categories of private categories become private'),
-    l10n('user permissions and group permissions have been erased'),
-    l10n('only thumbnails prefix and webmaster mail saved')
+    l10n('All sub-categories of private categories become private'),
+    l10n('User permissions and group permissions have been erased'),
+    l10n('Only thumbnails prefix and webmaster mail address have been saved from previous configuration')
     )
   );
Index: /trunk/nbm.php
===================================================================
--- /trunk/nbm.php	(revision 5020)
+++ /trunk/nbm.php	(revision 5021)
@@ -58,5 +58,5 @@
 else
 {
-  array_push($page['errors'], l10n('nbm_unknown_identifier'));
+  array_push($page['errors'], l10n('Unknown identifier'));
 }
 
@@ -64,5 +64,5 @@
 // | template initialization                                               |
 // +-----------------------------------------------------------------------+
-$title = l10n('nbm_item_notification');
+$title = l10n('Notification');
 $page['body_id'] = 'theNBMPage';
 include(PHPWG_ROOT_PATH.'include/page_header.php');
Index: /trunk/password.php
===================================================================
--- /trunk/password.php	(revision 5020)
+++ /trunk/password.php	(revision 5021)
@@ -52,5 +52,5 @@
   if (isset($_POST['no_mail_address']) and $_POST['no_mail_address'] == 1)
   {
-    array_push($page['infos'], l10n('Email address is missing'));
+    array_push($page['infos'], l10n('Email address is missing. Please specify an email address.'));
     array_push($page['infos'], $mailto);
   }
@@ -131,5 +131,5 @@
     else
     {
-      array_push($page['errors'], l10n('No user matches this email address'));
+      array_push($page['errors'], l10n('No classic user matches this email address'));
       array_push($page['errors'], l10n('Administrator, webmaster and special user cannot use this method'));
       array_push($page['errors'], $mailto);
Index: /trunk/picture.php
===================================================================
--- /trunk/picture.php	(revision 5020)
+++ /trunk/picture.php	(revision 5021)
@@ -777,5 +777,5 @@
         'FAVORITE_IMG'  =>
           get_root_url().get_themeconf('icon_dir').'/favorite.png',
-        'FAVORITE_HINT' => l10n('add_favorites_hint'),
+        'FAVORITE_HINT' => l10n('add this image to your favorites'),
         'U_FAVORITE'    => add_url_params(
           $url_self,
@@ -792,5 +792,5 @@
         'FAVORITE_IMG'  =>
           get_root_url().get_themeconf('icon_dir').'/del_favorite.png',
-        'FAVORITE_HINT' => l10n('del_favorites_hint'),
+        'FAVORITE_HINT' => l10n('delete this image from your favorites'),
         'U_FAVORITE'    => add_url_params(
           $url_self,
Index: /trunk/profile.php
===================================================================
--- /trunk/profile.php	(revision 5020)
+++ /trunk/profile.php	(revision 5021)
@@ -62,5 +62,5 @@
   save_profile_from_post($userdata, $errors);
 
-  $title= l10n('customize_page_title');
+  $title= l10n('Your Gallery Customization ');
   $page['body_id'] = 'theProfilePage';
   include(PHPWG_ROOT_PATH.'include/page_header.php');
@@ -109,5 +109,5 @@
       or (!preg_match($int_pattern, $_POST['nb_image_line'])))
   {
-    $errors[] = l10n('nb_image_line_error');
+    $errors[] = l10n('The number of images per row must be a not null scalar');
   }
 
@@ -115,5 +115,5 @@
       or (!preg_match($int_pattern, $_POST['nb_line_page'])))
   {
-    $errors[] = l10n('nb_line_page_error');
+    $errors[] = l10n('The number of rows per page must be a not null scalar');
   }
 
@@ -122,5 +122,5 @@
            or $_POST['maxwidth'] < 50))
   {
-    $errors[] = l10n('maxwidth_error');
+    $errors[] = l10n('Maximum width must be a number superior to 50');
   }
   if ($_POST['maxheight']
@@ -128,5 +128,5 @@
              or $_POST['maxheight'] < 50))
   {
-    $errors[] = l10n('maxheight_error');
+    $errors[] = l10n('Maximum height must be a number superior to 50');
   }
   // periods must be integer values, they represents number of days
@@ -134,5 +134,5 @@
       or $_POST['recent_period'] <= 0)
   {
-    $errors[] = l10n('periods_error') ;
+    $errors[] = l10n('Recent period must be a positive integer value') ;
   }
 
Index: /trunk/register.php
===================================================================
--- /trunk/register.php	(revision 5020)
+++ /trunk/register.php	(revision 5021)
@@ -43,5 +43,5 @@
   if ($_POST['password'] != $_POST['password_conf'])
   {
-    array_push($errors, l10n('reg_err_pass'));
+    array_push($errors, l10n('please enter your password again'));
   }
 
Index: /trunk/search.php
===================================================================
--- /trunk/search.php	(revision 5020)
+++ /trunk/search.php	(revision 5021)
@@ -153,5 +153,5 @@
   else
   {
-    array_push($errors, l10n('search_one_clause_at_least'));
+    array_push($errors, l10n('Empty query. No criteria has been entered.'));
   }
 }
@@ -173,5 +173,5 @@
 // Start output of page
 //
-$title= l10n('search_title');
+$title= l10n('Search');
 $page['body_id'] = 'theSearchPage';
 
Index: /trunk/search_rules.php
===================================================================
--- /trunk/search_rules.php	(revision 5020)
+++ /trunk/search_rules.php	(revision 5021)
@@ -31,5 +31,5 @@
 function inc_exc_str($is_included)
 {
-  return $is_included ? l10n('included') : l10n('excluded');
+  return $is_excluded ? l10n('excluded') : l10n('excluded');
 }
 
Index: /trunk/template-extension/distributed/samples/my-picture.tpl
===================================================================
--- /trunk/template-extension/distributed/samples/my-picture.tpl	(revision 5020)
+++ /trunk/template-extension/distributed/samples/my-picture.tpl	(revision 5021)
@@ -22,5 +22,5 @@
 <div id="imageHeaderBar">
   <div class="browsePath">
-    <a href="{$U_HOME}" rel="home">{'home'|@translate}</a>
+    <a href="{$U_HOME}" rel="Home">{'Home'|@translate}</a>
     {if !$IS_HOME}{$LEVEL_SEPARATOR}{$SECTION_TITLE}{/if}
     {$LEVEL_SEPARATOR}{$current.TITLE}
@@ -39,9 +39,9 @@
     {/if}
     {if isset($U_SLIDESHOW_STOP) }
-      <a href="{$U_SLIDESHOW_STOP}" title="{'slideshow_stop'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/stop_slideshow.png" class="button" alt="{'slideshow_stop'|@translate}"></a>
+      <a href="{$U_SLIDESHOW_STOP}" title="{'stop the slideshow'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/stop_slideshow.png" class="button" alt="{'stop the slideshow'|@translate}"></a>
     {/if}
-      <a href="{$U_METADATA}" title="{'picture_show_metadata'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/metadata.png" class="button" alt="metadata"></a>
+      <a href="{$U_METADATA}" title="{'Show file metadata'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/metadata.png" class="button" alt="metadata"></a>
     {if isset($current.U_DOWNLOAD) }
-      <a href="{$current.U_DOWNLOAD}" title="{'download_hint'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/save.png" class="button" alt="{'download'|@translate}"></a>
+      <a href="{$current.U_DOWNLOAD}" title="{'download'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/save.png" class="button" alt="{'download'|@translate}"></a>
     {/if}
     {if isset($PLUGIN_PICTURE_ACTIONS)}{$PLUGIN_PICTURE_ACTIONS}{/if}
@@ -50,8 +50,8 @@
     {/if}
     {if !empty($U_SET_AS_REPRESENTATIVE) }
-      <a href="{$U_SET_AS_REPRESENTATIVE}" title="{'set as category representative'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/representative.png" class="button" alt="{'representative'|@translate}"></a>
+      <a href="{$U_SET_AS_REPRESENTATIVE}" title="{'representative'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/representative.png" class="button" alt="{'representative'|@translate}"></a>
     {/if}
     {if isset($U_ADMIN) }
-      <a href="{$U_ADMIN}" title="{'link_info_image'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/preferences.png" class="button" alt="{'edit'|@translate}"></a>
+      <a href="{$U_ADMIN}" title="{'edit'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/preferences.png" class="button" alt="{'edit'|@translate}"></a>
     {/if}
     {if isset($U_CADDIE) }{*caddie management BEGIN*}
@@ -72,5 +72,5 @@
 }{/literal}
 </script>
-      <a href="{$U_CADDIE}" onclick="addToCadie(this, '{$ROOT_URL|@escape:'javascript'}', {$current.id}); return false;" title="{'add to caddie'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/caddie_add.png" class="button" alt="{'caddie'|@translate}"></a>
+      <a href="{$U_CADDIE}" onclick="addToCadie(this, '{$ROOT_URL|@escape:'javascript'}', {$current.id}); return false;" title="{'caddie'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/caddie_add.png" class="button" alt="{'caddie'|@translate}"></a>
     {/if}{*caddie management END*}
   </div>
@@ -87,5 +87,5 @@
 {if isset($U_SLIDESHOW_STOP) }
 <p>
-  [ <a href="{$U_SLIDESHOW_STOP}">{'slideshow_stop'|@translate}</a> ]
+  [ <a href="{$U_SLIDESHOW_STOP}">{'stop the slideshow'|@translate}</a> ]
 </p>
 {/if}
@@ -94,10 +94,10 @@
 
 {if isset($previous) }
-<a class="navThumb" id="linkPrev" href="{$previous.U_IMG}" title="{'previous_page'|@translate} : {$previous.TITLE}" rel="prev">
+<a class="navThumb" id="linkPrev" href="{$previous.U_IMG}" title="{'Previous'|@translate} : {$previous.TITLE}" rel="prev">
   <img src="{$previous.THUMB_SRC}" alt="{$previous.TITLE}">
 </a>
 {/if}
 {if isset($next) }
-<a class="navThumb" id="linkNext" href="{$next.U_IMG}" title="{'next_page'|@translate} : {$next.TITLE}" rel="next">
+<a class="navThumb" id="linkNext" href="{$next.U_IMG}" title="{'Next'|@translate} : {$next.TITLE}" rel="next">
   <img src="{$next.THUMB_SRC}" alt="{$next.TITLE}">
 </a>
Index: /trunk/template-extension/distributed/samples/titling_categories.tpl
===================================================================
--- /trunk/template-extension/distributed/samples/titling_categories.tpl	(revision 5020)
+++ /trunk/template-extension/distributed/samples/titling_categories.tpl	(revision 5021)
@@ -29,5 +29,5 @@
           <a href="{$cat.URL}">
             <img src="{$cat.TN_SRC}" alt="{$cat.ALT}" 
-            title="{'hint_category'|@translate}">
+            title="{'shows images at the root of this category'|@translate}">
           </a>
         </div>
Index: /trunk/upgrade.php
===================================================================
--- /trunk/upgrade.php	(revision 5020)
+++ /trunk/upgrade.php	(revision 5021)
@@ -195,5 +195,5 @@
 $template->assign(array(
   'RELEASE' => PHPWG_VERSION,
-  'L_UPGRADE_HELP' => sprintf(l10n('install_help'), PHPWG_URL.'/forum'),
+  'L_UPGRADE_HELP' => sprintf(l10n('Need help ? Ask your question on <a href=\"%s\">Piwigo message board</a>.'), PHPWG_URL.'/forum'),
   )
 );
@@ -279,7 +279,9 @@
       {
         array_push($page['infos'],
-          l10n('in include/config_database.inc.php, before ?>, insert:') . '
-<p><textarea rows="4" cols="40">'.implode("\r\n" , $mysql_changes).'</textarea></p>'
-          );
+		   l10n_args('in <i>%s</i>, before <b>?></b>, insert:', 
+			     'include/config_database.inc.php') . 
+		   '<p><textarea rows="4" cols="40">' .
+		   implode("\r\n" , $mysql_changes).'</textarea></p>'
+		   );
       }
     }
@@ -315,5 +317,5 @@
 
     array_push($page['infos'],
-      l10n('perform a maintenance check')
+      l10n('Perform a maintenance check in [Administration>Specials>Maintenance] if you encounter any problem.')
       );
 
Index: /trunk/upload.php
===================================================================
--- /trunk/upload.php	(revision 5020)
+++ /trunk/upload.php	(revision 5021)
@@ -62,5 +62,5 @@
   if (!in_array($extension, $conf['picture_ext']))
   {
-    array_push( $result['error'], l10n('upload_advise_filetype') );
+    array_push( $result['error'], l10n('the picture must be to the fileformat jpg, gif or png') );
     return $result;
   }
@@ -73,5 +73,5 @@
   {
     array_push( $result['error'],
-                l10n('upload_advise_filesize').$my_max_file_size.' KB' );
+                l10n('the filesize of the picture must not exceed : ').$my_max_file_size.' KB' );
   }
   else
@@ -81,5 +81,5 @@
     if ( !move_uploaded_file( $_FILES['picture']['tmp_name'], $temp_name ) )
     {
-      array_push( $result['error'], l10n('upload_cannot_upload') );
+      array_push( $result['error'], l10n('can\'t upload the picture on the server') );
     }
     else
@@ -91,5 +91,5 @@
       {
         array_push( $result['error'],
-                    l10n('upload_advise_width').$image_max_width.' px' );
+                    l10n('the width of the picture must not exceed : ').$image_max_width.' px' );
       }
       if ( isset( $image_max_height )
@@ -98,5 +98,5 @@
       {
         array_push( $result['error'],
-                    l10n('upload_advise_height').$image_max_height.' px' );
+                    l10n('the height of the picture must not exceed : ').$image_max_height.' px' );
       }
       // $size[2] == 1 means GIF
@@ -109,5 +109,5 @@
       case 3 : $result['type'] = 'png'; break;
       default :
-        array_push( $result['error'], l10n('upload_advise_filetype') );
+        array_push( $result['error'], l10n('the picture must be to the fileformat jpg, gif or png') );
       }
     }
@@ -182,19 +182,19 @@
   if ( @is_file( $path ) )
   {
-    array_push( $error, l10n('upload_file_exists') );
+    array_push( $error, l10n('A picture\'s name already used') );
   }
   // test de la présence des champs obligatoires
   if ( empty($_FILES['picture']['name']))
   {
-    array_push( $error, l10n('upload_filenotfound') );
+    array_push( $error, l10n('You must choose a picture fileformat for the image') );
   }
   if ( !preg_match( '/([_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)+)/',
              $_POST['mail_address'] ) )
   {
-    array_push( $error, l10n('reg_err_mail_address') );
+    array_push( $error, l10n('mail address must be like xxx@yyy.eee (example : jack@altern.org)') );
   }
   if ( empty($_POST['username']) )
   {
-    array_push( $error, l10n('upload_err_username') );
+    array_push( $error, l10n('the username must be given') );
   }
 
@@ -210,5 +210,5 @@
     else
     {
-      array_push( $error, l10n('err_date') );
+      array_push( $error, l10n('wrong date') );
     }
   }
@@ -225,5 +225,5 @@
   if ( !preg_match( '/^[a-zA-Z0-9-_.]+$/', $_FILES['picture']['name'] ) )
   {
-    array_push( $error, l10n('update_wrong_dirname') );
+    array_push( $error, l10n('wrong filename') );
   }
 
@@ -319,5 +319,5 @@
 // Start output of page
 //
-$title= l10n('upload_title');
+$title= l10n('Upload a picture');
 $page['body_id'] = 'theUploadPage';
 include(PHPWG_ROOT_PATH.'include/page_header.php');
@@ -351,5 +351,5 @@
 if ( isset( $page['waiting_id'] ) )
 {
-  $advise_title = l10n('upload_advise_thumbnail').$_FILES['picture']['name'];
+  $advise_title = l10n('Optional, but recommended : choose a thumbnail to associate to ').$_FILES['picture']['name'];
 }
 else
@@ -382,5 +382,5 @@
   if ( !empty($conf['upload_maxfilesize']) )
   {
-    $content = l10n('upload_advise_filesize');
+    $content = l10n('the filesize of the picture must not exceed : ');
     $content.= $conf['upload_maxfilesize'].' KB';
     $template->append('advises', $content);
@@ -391,5 +391,5 @@
     if ( $conf['upload_maxwidth_thumbnail'] != '' )
     {
-      $content = l10n('upload_advise_width');
+      $content = l10n('the width of the picture must not exceed : ');
       $content.= $conf['upload_maxwidth_thumbnail'].' px';
       $template->append('advises', $content);
@@ -397,5 +397,5 @@
     if ( $conf['upload_maxheight_thumbnail'] != '' )
     {
-      $content = l10n('upload_advise_height');
+      $content = l10n('the height of the picture must not exceed : ');
       $content.= $conf['upload_maxheight_thumbnail'].' px';
       $template->append('advises', $content);
@@ -406,5 +406,5 @@
     if ( $conf['upload_maxwidth'] != '' )
     {
-      $content = l10n('upload_advise_width');
+      $content = l10n('the width of the picture must not exceed : ');
       $content.= $conf['upload_maxwidth'].' px';
       $template->append('advises', $content);
@@ -412,10 +412,10 @@
     if ( $conf['upload_maxheight'] != '' )
     {
-      $content = l10n('upload_advise_height');
+      $content = l10n('the height of the picture must not exceed : ');
       $content.= $conf['upload_maxheight'].' px';
       $template->append('advises', $content);
     }
   }
-  $template->append('advises', l10n('upload_advise_filetype'));
+  $template->append('advises', l10n('the picture must be to the fileformat jpg, gif or png'));
 
 //----------------------------------------- optionnal username and mail address
